package com.sdforce.ws;

import java.text.SimpleDateFormat;
import java.util.Date;

public class Utils {
	/**
	 * 替换字符串
	 * @param strData
	 * @param regex
	 * @param replacement
	 * @return
	 */
	public static String replaceString(String strData, String regex,  
	         String replacement) {  
	     if (strData == null) {  
	         return null;  
	     }  
	     int index;  
	     index = strData.indexOf(regex);  
	     String strNew = "";  
	     if (index >= 0){  
	         while (index >= 0) {  
	             strNew += strData.substring(0, index) + replacement;  
	             strData = strData.substring(index + regex.length());  
	             index = strData.indexOf(regex);  
	         }  
	         strNew += strData;  
	         return strNew;  
	     }  
	     return strData;  
	 }  
	/**
	 * 将字符串中的原始字符改为转义字符 
	 * @param strData
	 * @return
	 */
	public static String replaceEscapeSeqs(String strData) {  
	     if (strData == null) {  
	         return "";  
	     }  
	     strData = replaceString(strData, "&", "&amp;");  
	     strData = replaceString(strData, "<", "&lt;");  
	     strData = replaceString(strData, ">", "&gt;");  
	     strData = replaceString(strData, "&apos;", "&apos;");  
	     strData = replaceString(strData, "\"", "&quot;");  
	     return strData;  
	}
	
	/**
	 * 生成调用流水号
	 * @return
	 */
	public static String genSerialNo() {
	    SimpleDateFormat df = new SimpleDateFormat("yyyyMMddHHmmssSSS");  
	    String dateStr = df.format(new Date());  
	    return dateStr;
	}
}
